
<div class="title-component">
    <h3 mat-dialog-title>{{titleModal}}</h3>
</div>
<form>
    <div mat-dialog-content >
        <div class="row wrap">
            <div class="col-12 text-aling-center">
                <mat-form-field dividerColor="primary" class="width-size">
                    <input maxlength="50" [formControl]="validateFilters.get('country')" #country matInput placeholder="País" 
                    autocomplete="off">
                    <mat-error *ngIf="formValidator.country.errors">
                        <div *ngIf="formValidator.country.errors?.maxlength">
                            Solo se permiten 50 caracteres
                        </div>
                        <div *ngIf="formValidator.country.errors?.validacion">
                            {{ formValidator.country.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-12 text-aling-center" *ngIf="statusActivated">
                <mat-form-field class="width-size">
                    <mat-select placeholder="Seleccionar estado" #state [formControl]="validateFilters.get('state')">
                        <mat-option *ngFor="let option of filterOptions" [value]="option.value">
                            {{option.label}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
        </div>
        <div mat-dialog-actions class="justify-center">
            <button mat-raised-button color="warn" mat-dialog-close class="space-buttom">Cancelar</button>
            <button mat-raised-button color="primary" (click)="save();" type="submit" class="space-buttom">Guardar</button>
        </div>
    </div>
</form>